Package twisted :: Package enterprise :: Module dbcred :: Class ReflectorAuthorizer |
[frames | no frames]

## Class ReflectorAuthorizer

    Accessor --+
               |
      Authorizer --+
                   |
                  ReflectorAuthorizer

An authorizer that uses a given row reflector.

Method Summary
| `__init__(self, refl, serviceCollection)`
| `_cbIdentity(self, newIdentityRows)`
| `_ebIdentity(self, data)`
| ``getIdentityRequest`(self, name)` get the identity from the database with the specified name.
Inherited from Authorizer
| ``addIdentity`(self, identity)` Create an identity and make a callback when it has been created.
| ``createIdentity`(self, name)` Create an identity of an appropriate type for this Authorizer.
| ``get_application`(self)`
| ``getServiceNamed`(self, name)`
| ``removeIdentity`(self, identityName)`
| ``setApplication`(self, app)` Set the application for this authorizer.
| ``setServiceCollection`(self, collection)` Set the service collection for this authorizer.
Inherited from Accessor
| ``__delattr__`(self, k)`
| ``__getattr__`(self, k)`
| ``__setattr__`(self, k, v)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects.
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects.

Instance Variable Summary
Inherited from Authorizer
`_AbstractServiceCollection` | `serviceCollection`: The set of services that are using this authorizer.

Method Details

### getIdentityRequest(self, name) get the identity from the database with the specified name. Overrides: `twisted.cred.authorizer.Authorizer.getIdentityRequest`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:52 2003 | http://epydoc.sf.net